ln_equ_posn(3)

NAME
ln_equ_posn - Equatorial Coordinates.

SYNOPSIS

#include <ln_types.h>

  Data Fields
double ra
double dec

Detailed Description

Equatorial Coordinates. The Right Ascension and Declination of an object.

Angles are expressed in degrees.

Examples
asteroid.c, comet.c, lunar.c, mars.c, sun.c, and transforms.c.

Field Documentation

  double ln_equ_posn::dec
DEC. Object declination

Examples
transforms.c.

Referenced by ln_equ_to_hequ(), ln_get_angular_separation(), ln_get_body_rst_horizon(), ln_get_ecl_from_equ(), ln_get_ell_body_equ_coords(), ln_get_equ_aber(), ln_get_equ_from_ecl(), ln_get_equ_from_gal(), ln_get_equ_from_hrz(), ln_get_equ_prec(), ln_get_equ_prec2(), ln_get_gal_from_equ(), ln_get_heliocentric_time_diff(), ln_get_hrz_from_equ_sidereal_time(), ln_get_hyp_body_equ_coords(), ln_get_jupiter_equ_coords(), ln_get_lunar_bright_limb(), ln_get_mars_equ_coords(), ln_get_mercury_equ_coords(), ln_get_neptune_equ_coords(), ln_get_par_body_equ_coords(), ln_get_pluto_equ_coords(), ln_get_rel_posn_angle(), ln_get_saturn_equ_coords(), ln_get_uranus_equ_coords(), ln_get_venus_equ_coords(), and ln_hequ_to_equ().

  double ln_equ_posn::ra
RA. Object right ascension in degrees.

Examples
transforms.c.

Referenced by ln_equ_to_hequ(), ln_get_angular_separation(), ln_get_body_rst_horizon(), ln_get_ecl_from_equ(), ln_get_ell_body_equ_coords(), ln_get_equ_aber(), ln_get_equ_from_ecl(), ln_get_equ_from_gal(), ln_get_equ_from_hrz(), ln_get_equ_prec(), ln_get_equ_prec2(), ln_get_gal_from_equ(), ln_get_heliocentric_time_diff(), ln_get_hrz_from_equ_sidereal_time(), ln_get_hyp_body_equ_coords(), ln_get_jupiter_equ_coords(), ln_get_lunar_bright_limb(), ln_get_mars_equ_coords(), ln_get_mercury_equ_coords(), ln_get_neptune_equ_coords(), ln_get_par_body_equ_coords(), ln_get_pluto_equ_coords(), ln_get_rel_posn_angle(), ln_get_saturn_equ_coords(), ln_get_uranus_equ_coords(), ln_get_venus_equ_coords(), and ln_hequ_to_equ().

Author

Generated automatically by Doxygen for libnova from the source code.